com.amazonaws.services.codedeploy.model

## Class ErrorInformation

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.ErrorInformation

All Implemented Interfaces:
  Serializable, Cloneable

    public class ErrorInformation
    extends Object
    implements Serializable, Cloneable

Information about a deployment error.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ErrorInformation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ErrorInformation` `clone()`
`boolean` `equals(Object obj)`
`String` `getCode()` The error code:
`String` `getMessage()` An accompanying error message.
`int` `hashCode()`
`void` `setCode(ErrorCode code)` The error code:
`void` `setCode(String code)` The error code:
`void` `setMessage(String message)` An accompanying error message.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ErrorInformation` `withCode(ErrorCode code)` The error code:
`ErrorInformation` `withCode(String code)` The error code:
`ErrorInformation` `withMessage(String message)` An accompanying error message.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ErrorInformation

    public ErrorInformation()

### Method Detail

#### setCode

    public void setCode(String code)

The error code:

- APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

- DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

- HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

- HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

- IAM_ROLE_MISSING: The service role cannot be accessed.

- IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

- INTERNAL_ERROR: There was an internal error.

- NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

- NO_INSTANCES: No instance were specified, or no instance can be found.

- OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

- THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

- TIMEOUT: The deployment has timed out.

- REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Parameters:
  `code` - The error code:

  - APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

  - DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

  - HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

  - HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

  - IAM_ROLE_MISSING: The service role cannot be accessed.

  - IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

  - INTERNAL_ERROR: There was an internal error.

  - NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

  - NO_INSTANCES: No instance were specified, or no instance can be found.

  - OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

  - THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

  - TIMEOUT: The deployment has timed out.

  - REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

See Also:
  `ErrorCode`

#### getCode

    public String getCode()

The error code:

- APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

- DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

- HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

- HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

- IAM_ROLE_MISSING: The service role cannot be accessed.

- IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

- INTERNAL_ERROR: There was an internal error.

- NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

- NO_INSTANCES: No instance were specified, or no instance can be found.

- OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

- THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

- TIMEOUT: The deployment has timed out.

- REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Returns:
  The error code:

  - APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

  - DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

  - HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

  - HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

  - IAM_ROLE_MISSING: The service role cannot be accessed.

  - IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

  - INTERNAL_ERROR: There was an internal error.

  - NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

  - NO_INSTANCES: No instance were specified, or no instance can be found.

  - OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

  - THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

  - TIMEOUT: The deployment has timed out.

  - REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

See Also:
  `ErrorCode`

#### withCode

    public ErrorInformation withCode(String code)

The error code:

- APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

- DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

- HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

- HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

- IAM_ROLE_MISSING: The service role cannot be accessed.

- IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

- INTERNAL_ERROR: There was an internal error.

- NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

- NO_INSTANCES: No instance were specified, or no instance can be found.

- OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

- THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

- TIMEOUT: The deployment has timed out.

- REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Parameters:
  `code` - The error code:

  - APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

  - DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

  - HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

  - HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

  - IAM_ROLE_MISSING: The service role cannot be accessed.

  - IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

  - INTERNAL_ERROR: There was an internal error.

  - NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

  - NO_INSTANCES: No instance were specified, or no instance can be found.

  - OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

  - THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

  - TIMEOUT: The deployment has timed out.

  - REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ErrorCode`

#### setCode

    public void setCode(ErrorCode code)

The error code:

- APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

- DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

- HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

- HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

- IAM_ROLE_MISSING: The service role cannot be accessed.

- IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

- INTERNAL_ERROR: There was an internal error.

- NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

- NO_INSTANCES: No instance were specified, or no instance can be found.

- OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

- THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

- TIMEOUT: The deployment has timed out.

- REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Parameters:
  `code` - The error code:

  - APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

  - DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

  - HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

  - HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

  - IAM_ROLE_MISSING: The service role cannot be accessed.

  - IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

  - INTERNAL_ERROR: There was an internal error.

  - NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

  - NO_INSTANCES: No instance were specified, or no instance can be found.

  - OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

  - THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

  - TIMEOUT: The deployment has timed out.

  - REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

See Also:
  `ErrorCode`

#### withCode

    public ErrorInformation withCode(ErrorCode code)

The error code:

- APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

- DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

- HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

- HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

- IAM_ROLE_MISSING: The service role cannot be accessed.

- IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

- INTERNAL_ERROR: There was an internal error.

- NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

- NO_INSTANCES: No instance were specified, or no instance can be found.

- OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

- THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

- TIMEOUT: The deployment has timed out.

- REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Parameters:
  `code` - The error code:

  - APPLICATION_MISSING: The application was missing. This error code will most likely be raised if the application is deleted after the deployment is created but before it is started.

  - DEPLOYMENT_GROUP_MISSING: The deployment group was missing. This error code will most likely be raised if the deployment group is deleted after the deployment is created but before it is started.

  - HEALTH_CONSTRAINTS: The deployment failed on too many instances to be successfully deployed within the instance health constraints specified.

  - HEALTH_CONSTRAINTS_INVALID: The revision cannot be successfully deployed within the instance health constraints specified.

  - IAM_ROLE_MISSING: The service role cannot be accessed.

  - IAM_ROLE_PERMISSIONS: The service role does not have the correct permissions.

  - INTERNAL_ERROR: There was an internal error.

  - NO_EC2_SUBSCRIPTION: The calling account is not subscribed to the Amazon EC2 service.

  - NO_INSTANCES: No instance were specified, or no instance can be found.

  - OVER_MAX_INSTANCES: The maximum number of instance was exceeded.

  - THROTTLED: The operation was throttled because the calling account exceeded the throttling limits of one or more AWS services.

  - TIMEOUT: The deployment has timed out.

  - REVISION_MISSING: The revision ID was missing. This error code will most likely be raised if the revision is deleted after the deployment is created but before it is started.

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ErrorCode`

#### setMessage

    public void setMessage(String message)

An accompanying error message.

Parameters:
  `message` - An accompanying error message.

#### getMessage

    public String getMessage()

An accompanying error message.

Returns:
  An accompanying error message.

#### withMessage

    public ErrorInformation withMessage(String message)

An accompanying error message.

Parameters:
  `message` - An accompanying error message.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ErrorInformation clone()

Overrides:
  `clone` in class `Object`